import { FormGroup } from '@angular/forms';
import { isBoolean, isString } from 'lodash-es';

export function patchForm(valueToPatch: any, formGroup: FormGroup): void {
  formGroup.patchValue(valueToPatch);

  patchNonStringValues(valueToPatch, formGroup);
}

function patchNonStringValues(valueToPatch: any, formGroup: FormGroup): void {
  Object.entries(valueToPatch).forEach(([key, value]) => {
    if (formGroup.contains(key)) patchNonStringValue(value, getControlAsFormGroup(key, formGroup));
  });
}

function patchNonStringValue(value: any, formGroup: FormGroup): void {
  if (Array.isArray(value)) {
    value.forEach((oneValue: any) => {
      if (formGroup.contains(oneValue)) formGroup.controls[oneValue].patchValue(true);
    });
  } else if (!isString(value) && !isBoolean(value)) {
    patchNonStringValues(value, formGroup);
  }
}

function getControlAsFormGroup(key: string, formGroup: FormGroup): FormGroup {
  return <FormGroup>formGroup.controls[key];
}
