import { BescheidResource, BescheidSendBy, BescheidService, BescheidWizardStep, Wizard } from '@alfa-client/bescheid-shared';
import { Component, inject, Input } from '@angular/core';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-bescheid-wizard-bescheid-versenden-container',
  templateUrl: './bescheid-wizard-bescheid-versenden-container.component.html',
})
export class BescheidWizardBescheidVersendenContainerComponent {
  @Input() set bescheidResource(value: BescheidResource) {
    this._bescheidResource = value;
    this.bescheidService.setSendBy(value.sendBy);
  }

  get bescheidResource(): BescheidResource {
    return this._bescheidResource;
  }

  private readonly bescheidService: BescheidService = inject(BescheidService);

  public readonly wizard$: Observable<Wizard> = this.bescheidService.getWizard();

  private _bescheidResource: BescheidResource;

  public readonly bescheidWizardStep = BescheidWizardStep;

  public onSendBy(sendBy: BescheidSendBy): void {
    this.bescheidService.setSendBy(sendBy);
  }

  public onStepChange(step: BescheidWizardStep): void {
    this.bescheidService.setActiveStep(step);
  }
}
