import { FileUploadType } from '@alfa-client/binary-file-shared';
import { Component, Input } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { BinaryFileListOrientation } from '../directive/binary-file-list-orientation/binary-file-list-orientation.directive';
import { FileUploadListContainerComponent } from '../file-upload-list-container/file-upload-list-container.component';
import { MultiFileUploadEditorComponent } from '../multi-file-upload-editor/multi-file-upload-editor.component';

@Component({
  selector: 'ods-multi-file-upload',
  standalone: true,
  templateUrl: './multi-file-upload.component.html',
  imports: [FileUploadListContainerComponent, MultiFileUploadEditorComponent],
})
export class MultiFileUploadComponent {
  @Input({ required: true }) filesFormFieldName: string;
  @Input({ required: true }) fileUploadType: FileUploadType;
  @Input({ required: true }) uploadResource: Resource;
  @Input({ required: true }) uploadLinkRelation: string;
  @Input({ required: true }) filesResource: Resource;
  @Input({ required: true }) filesLinkRelation: string;
  @Input() listOrientation: BinaryFileListOrientation = BinaryFileListOrientation.HORIZONTAL;
}
