/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { CommandOrder } from '@alfa-client/command-shared';
import { MockComponent } from 'ng-mocks';
import { createCommandResource } from '../../../../../../command-shared/test/command';
import { HistorieItemHeaderComponent } from '../historie-item-header/historie-item-header.component';
import { HistorieItemLoeschAnforderungComponent } from './historie-item-loesch-anforderung.component';

describe('HistorieItemLoeschAnforderungComponent', () => {
  let component: HistorieItemLoeschAnforderungComponent;
  let fixture: ComponentFixture<HistorieItemLoeschAnforderungComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        HistorieItemLoeschAnforderungComponent,
        MockComponent(HistorieItemHeaderComponent),
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HistorieItemLoeschAnforderungComponent);
    component = fixture.componentInstance;
    component.command = createCommandResource();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('ngOnInit', () => {
    it('should set headline for order VORGANG_ZUM_LOESCHEN_MARKIEREN', () => {
      component.command = {
        ...createCommandResource(),
        order: CommandOrder.VORGANG_ZUM_LOESCHEN_MARKIEREN,
      };

      component.ngOnInit();

      expect(component.headline).toEqual('eine Löschanforderung gestellt.');
    });

    it('should set headline for order LOESCH_ANFORDERUNG_ZURUECKNEHMEN', () => {
      component.command = {
        ...createCommandResource(),
        order: CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN,
      };

      component.ngOnInit();

      expect(component.headline).toEqual('die Löschanforderung zurückgenommen.');
    });
  });
});
