/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { KommentarListResource, KommentarResource } from '@alfa-client/kommentar-shared';
import { getEmbeddedResources, StateResource } from '@alfa-client/tech-shared';
import { Component, Input, OnChanges } from '@angular/core';
import { ResourceUri } from '@ngxp/rest';
import { KommentarListLinkRel } from 'libs/kommentar-shared/src/lib/kommentar.linkrel';

@Component({
  selector: 'alfa-kommentar-list-in-vorgang',
  templateUrl: './kommentar-list-in-vorgang.component.html',
  styleUrls: ['./kommentar-list-in-vorgang.component.scss'],
})
export class KommentarListInVorgangComponent implements OnChanges {
  @Input() kommentarListStateResource: StateResource<KommentarListResource>;
  @Input() currentlyEdited: ResourceUri;

  public kommentare: KommentarResource[];

  ngOnChanges(): void {
    this.kommentare = this.getKommentare();
  }

  getKommentare(): KommentarResource[] {
    return getEmbeddedResources(this.kommentarListStateResource, KommentarListLinkRel.KOMMENTAR_LIST);
  }
}
