/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource, ToEmbeddedResourcesPipe } from '@alfa-client/tech-shared';
import { ExpansionPanelComponent, SpinnerComponent } from '@alfa-client/ui';
import { createWiedervorlageListResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageCreateButtonComponent } from './wiedervorlage-create-button/wiedervorlage-create-button.component';
import { WiedervorlageInVorgangComponent } from './wiedervorlage-in-vorgang/wiedervorlage-in-vorgang.component';
import { WiedervorlageListInVorgangComponent } from './wiedervorlage-list-in-vorgang.component';

describe('WiedervorlageListInVorgangComponent', () => {
  let component: WiedervorlageListInVorgangComponent;
  let fixture: ComponentFixture<WiedervorlageListInVorgangComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        WiedervorlageListInVorgangComponent,
        MockComponent(SpinnerComponent),
        MockComponent(ExpansionPanelComponent),
        MockComponent(WiedervorlageInVorgangComponent),
        MockComponent(WiedervorlageCreateButtonComponent),
        ToEmbeddedResourcesPipe,
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(WiedervorlageListInVorgangComponent);
    component = fixture.componentInstance;
    component.wiedervorlageListStateResource = createStateResource(
      createWiedervorlageListResource(),
    );
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
