/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { ToResourceUriPipe } from '@alfa-client/tech-shared';
import { mock } from '@alfa-client/test-utils';
import { SpinnerComponent } from '@alfa-client/ui';
import { VorgangService } from '@alfa-client/vorgang-shared';
import { AktenzeichenComponent } from '@alfa-client/vorgang-shared-ui';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageBreadcrumbComponent } from './wiedervorlage-breadcrumb.component';

describe('BreadcrumbComponent', () => {
  let component: WiedervorlageBreadcrumbComponent;
  let fixture: ComponentFixture<WiedervorlageBreadcrumbComponent>;

  const vorgangService = mock(VorgangService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [RouterTestingModule],
      declarations: [
        WiedervorlageBreadcrumbComponent,
        ToResourceUriPipe,
        MockComponent(AktenzeichenComponent),
        MockComponent(SpinnerComponent),
      ],
      providers: [
        {
          provide: VorgangService,
          useValue: vorgangService,
        },
      ],
    });
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(WiedervorlageBreadcrumbComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
