/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { isNotNil, StateResource } from '@alfa-client/tech-shared';
import { WIEDERVORLAGE_UPLOADED_ATTACHMENTS, WiedervorlageLinkRel, WiedervorlageListLinkRel, WiedervorlageListResource, WiedervorlageResource, } from '@alfa-client/wiedervorlage-shared';
import { Component, inject, Input, OnChanges, SimpleChanges } from '@angular/core';
import { isNull } from 'lodash-es';
import { WiedervorlageFormService } from './wiedervorlage.formservice';

//TODO Container Component zwischenschalten
@Component({
  selector: 'alfa-wiedervorlage-form',
  templateUrl: './wiedervorlage-form.component.html',
  styleUrls: ['./wiedervorlage-form.component.scss'],
})
export class WiedervorlageFormComponent implements OnChanges {
  @Input() wiedervorlageListStateResource: StateResource<WiedervorlageListResource>;
  @Input() wiedervorlage: WiedervorlageResource;

  public readonly formService = inject(WiedervorlageFormService);

  public readonly formServiceClass = WiedervorlageFormService;
  public readonly WiedervorlageListLinkRel = WiedervorlageListLinkRel;
  public readonly WiedervorlageLinkRel = WiedervorlageLinkRel;
  public readonly WIEDERVORLAGE_UPLOADED_ATTACHMENTS = WIEDERVORLAGE_UPLOADED_ATTACHMENTS;

  ngOnChanges(changes: SimpleChanges): void {
    if (changes.wiedervorlage && isNotNil(this.wiedervorlage)) {
      this.patchWiedervorlage();
    }
  }

  patchWiedervorlage(): void {
    if (!isNull(this.wiedervorlage)) {
      this.formService.patch(this.wiedervorlage);
    }
  }
}
